Package org.apache.cxf.interceptor.security

# Class AuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.SecurityException
org.apache.cxf.interceptor.security.AuthenticationException

All Implemented Interfaces:
  `Serializable`

public class AuthenticationException extends SecurityException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationException()`
  `AuthenticationException(String reason)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuthenticationException

    public AuthenticationException()

  - ### AuthenticationException

    public AuthenticationException(String reason)